#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "libs.h"
#include "log.h"
#include "db.h"
#include "dep.h"

int brute_force_include(int logdepth, const char *language, const char *test_c, const char *ldflags_base, const char *basedir);


/* script detection */
int find_script_gpmi(int logdepth, int fatal);
int find_script_tcl(int logdepth, int fatal);
int find_script_ruby(int logdepth, int fatal);
int find_script_mruby(int logdepth, int fatal);
int find_script_python(int logdepth, int fatal);
int find_script_perl(int logdepth, int fatal);
int find_script_mawk(int logdepth, int fatal);
int find_script_lua(int logdepth, int fatal);
int find_script_guile(int logdepth, int fatal);
int find_script_stutter(int logdepth, int fatal);
int find_script_m4(int logdepth, int fatal);
